Index: de/branches/FICN/FICN.sln
===================================================================
--- /code/branches/FICN/FICN.sln	(revision 677)
+++ 	(revision )
@@ -1,89 +1,0 @@
-﻿
-Microsoft Visual Studio Solution File, Format Version 9.00
-# Visual Studio 2005
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "network", "network.vcproj", "{35575B59-E1AE-40E8-89C4-2862B5B09B68}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-	ProjectSection(ProjectDependencies) = postProject
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "core", "core.vcproj", "{271715F3-5B90-4110-A552-70C788084A86}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "BeniXonox", "benixonox.vcproj", "{0B6C5CFD-F91B-432A-80A3-2610F61E060B}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-	ProjectSection(ProjectDependencies) = postProject
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
-		{E283910F-F911-40FB-A09D-D025CA821912} = {E283910F-F911-40FB-A09D-D025CA821912}
-		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Audio", "audio.vcproj", "{4733BD1A-E04C-458D-8BFB-5010250EA497}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-	ProjectSection(ProjectDependencies) = postProject
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "TinyXML", "tiny_xml.vcproj", "{2240ECD7-2F48-4431-8E1B-25466A384CCC}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "loader", "loader.vcproj", "{E283910F-F911-40FB-A09D-D025CA821912}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-	ProjectSection(ProjectDependencies) = postProject
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-	EndProjectSection
-EndProject
-Global
-	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug|Win32 = Debug|Win32
-		Release|Win32 = Release|Win32
-	EndGlobalSection
-	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Debug|Win32.ActiveCfg = Debug|Win32
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Debug|Win32.Build.0 = Debug|Win32
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.ActiveCfg = Release|Win32
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.Build.0 = Release|Win32
-		{271715F3-5B90-4110-A552-70C788084A86}.Debug|Win32.ActiveCfg = Debug|Win32
-		{271715F3-5B90-4110-A552-70C788084A86}.Debug|Win32.Build.0 = Debug|Win32
-		{271715F3-5B90-4110-A552-70C788084A86}.Release|Win32.ActiveCfg = Release|Win32
-		{271715F3-5B90-4110-A552-70C788084A86}.Release|Win32.Build.0 = Release|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.ActiveCfg = Debug|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.Build.0 = Debug|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.ActiveCfg = Release|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.Build.0 = Release|Win32
-		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Debug|Win32.ActiveCfg = Debug|Win32
-		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Debug|Win32.Build.0 = Debug|Win32
-		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release|Win32.ActiveCfg = Release|Win32
-		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release|Win32.Build.0 = Release|Win32
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Debug|Win32.ActiveCfg = Debug|Win32
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Debug|Win32.Build.0 = Debug|Win32
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.ActiveCfg = Release|Win32
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.Build.0 = Release|Win32
-		{E283910F-F911-40FB-A09D-D025CA821912}.Debug|Win32.ActiveCfg = Debug|Win32
-		{E283910F-F911-40FB-A09D-D025CA821912}.Debug|Win32.Build.0 = Debug|Win32
-		{E283910F-F911-40FB-A09D-D025CA821912}.Release|Win32.ActiveCfg = Release|Win32
-		{E283910F-F911-40FB-A09D-D025CA821912}.Release|Win32.Build.0 = Release|Win32
-	EndGlobalSection
-	GlobalSection(SolutionProperties) = preSolution
-		HideSolutionNode = FALSE
-	EndGlobalSection
-EndGlobal
Index: de/branches/FICN/audio.vcproj
===================================================================
--- /code/branches/FICN/audio.vcproj	(revision 677)
+++ 	(revision )
@@ -1,211 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="Audio"
-	ProjectGUID="{4733BD1A-E04C-458D-8BFB-5010250EA497}"
-	RootNamespace="FICN"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			OutputDirectory="$(SolutionDir)\bin"
-			IntermediateDirectory="obj\$(ProjectName)\$(ConfigurationName)"
-			ConfigurationType="4"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="0"
-				AdditionalIncludeDirectories="src;&quot;$(OGRE_HOME)\OgreMain\include&quot;;&quot;$(OGRE_HOME)\Dependencies\include&quot;;&quot;$(ENET_HOME)\include&quot;;&quot;$(BOOST_HOME)&quot;;&quot;$(ORXONOX_HOME)\openal-1.1\include&quot;;&quot;$(ORXONOX_HOME)\freealut-1.1.0\include&quot;;&quot;$(ORXONOX_HOME)\libogg-1.1.3\include&quot;;&quot;$(ORXONOX_HOME)\libvorbis-1.2.0\include&quot;"
-				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;BOOST_ALL_DYN_LINK"
-				MinimalRebuild="true"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="3"
-				UsePrecompiledHeader="0"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="4"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-				LinkLibraryDependencies="false"
-				OutputFile="$(OutDir)\$(ProjectName)_d.lib"
-				AdditionalLibraryDirectories=""
-				IgnoreAllDefaultLibraries="true"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			OutputDirectory="$(SolutionDir)\bin"
-			IntermediateDirectory="obj\$(ProjectName)\$(ConfigurationName)"
-			ConfigurationType="4"
-			CharacterSet="1"
-			WholeProgramOptimization="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories="src;&quot;$(OGRE_HOME)\OgreMain\include&quot;;&quot;$(OGRE_HOME)\Dependencies\include&quot;;&quot;$(ENET_HOME)\include&quot;;&quot;$(BOOST_HOME)&quot;;&quot;$(ORXONOX_HOME)\openal-1.1\include&quot;;&quot;$(ORXONOX_HOME)\freealut-1.1.0\include&quot;;&quot;$(ORXONOX_HOME)\libogg-1.1.3\include&quot;;&quot;$(ORXONOX_HOME)\libvorbis-1.2.0\include&quot;"
-				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;BOOST_ALL_DYN_LINK"
-				RuntimeLibrary="2"
-				UsePrecompiledHeader="0"
-				WarningLevel="4"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="3"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-				LinkLibraryDependencies="false"
-				AdditionalDependencies="EFX-Util.lib OpenAL32.lib alut.lib libogg.lib libvorbis.lib libvorbisfile.lib"
-				AdditionalLibraryDirectories=""
-				IgnoreAllDefaultLibraries="true"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath=".\src\audio\AudioBuffer.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\audio\AudioManager.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\audio\AudioSource.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\audio\AudioStream.cc"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath=".\src\audio\AudioBuffer.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\audio\AudioIncludes.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\audio\AudioManager.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\audio\AudioSource.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\audio\AudioStream.h"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Resource Files"
-			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
-			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
-			>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: de/branches/FICN/benixonox.vcproj
===================================================================
--- /code/branches/FICN/benixonox.vcproj	(revision 677)
+++ 	(revision )
@@ -1,471 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="BeniXonox"
-	ProjectGUID="{0B6C5CFD-F91B-432A-80A3-2610F61E060B}"
-	RootNamespace="FICN"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			OutputDirectory="$(SolutionDir)\bin"
-			IntermediateDirectory="obj\$(ProjectName)\$(ConfigurationName)"
-			ConfigurationType="1"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="0"
-				AdditionalIncludeDirectories="src;$(OGRE_HOME)\OgreMain\include;$(OGRE_HOME)\Dependencies\include; $(ENET_HOME)\include;$(BOOST_HOME);&quot;$(ORXONOX_HOME)\openal-1.1\include&quot;;&quot;$(ORXONOX_HOME)\freealut-1.1.0\include&quot;;&quot;$(ORXONOX_HOME)\libogg-1.1.3\include&quot;;&quot;$(ORXONOX_HOME)\libvorbis-1.2.0\include&quot;"
-				PreprocessorDefinitions="__WIN32__;WIN32_LEAN_AND_MEAN;WIN32;_DEBUG;_WINDOWS;BOOST_ALL_DYN_LINK;LOADER_STATIC"
-				GeneratePreprocessedFile="0"
-				MinimalRebuild="true"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="3"
-				UsePrecompiledHeader="0"
-				PrecompiledHeaderThrough=""
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="4"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-				LinkLibraryDependencies="true"
-				AdditionalDependencies="OgreMain_d.lib OIS_d.lib zlib.lib EFX-Util.lib OpenAL32.lib alut.lib libogg.lib libvorbis.lib libvorbisfile.lib"
-				OutputFile="$(OutDir)\$(ProjectName)_d.exe"
-				LinkIncremental="2"
-				AdditionalLibraryDirectories=""
-				IgnoreAllDefaultLibraries="false"
-				GenerateDebugInformation="true"
-				SubSystem="2"
-				EntryPointSymbol=""
-				TargetMachine="1"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			OutputDirectory="$(SolutionDir)\bin"
-			IntermediateDirectory="obj\$(ProjectName)\$(ConfigurationName)"
-			ConfigurationType="1"
-			CharacterSet="1"
-			WholeProgramOptimization="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories="src;$(OGRE_HOME)\OgreMain\include;$(OGRE_HOME)\Dependencies\include; $(ENET_HOME)\include;$(BOOST_HOME);&quot;$(ORXONOX_HOME)\openal-1.1\include&quot;;&quot;$(ORXONOX_HOME)\freealut-1.1.0\include&quot;;&quot;$(ORXONOX_HOME)\libogg-1.1.3\include&quot;;&quot;$(ORXONOX_HOME)\libvorbis-1.2.0\include&quot;"
-				PreprocessorDefinitions="__WIN32__;WIN32_LEAN_AND_MEAN;WIN32;NDEBUG;_WINDOWS;BOOST_ALL_DYN_LINK;LOADER_STATIC"
-				RuntimeLibrary="2"
-				UsePrecompiledHeader="0"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="3"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-				AdditionalDependencies="OgreMain.lib OIS.lib zlib.lib"
-				LinkIncremental="1"
-				AdditionalLibraryDirectories=""
-				IgnoreAllDefaultLibraries="false"
-				GenerateDebugInformation="true"
-				SubSystem="2"
-				OptimizeReferences="2"
-				EnableCOMDATFolding="2"
-				EntryPointSymbol=""
-				TargetMachine="1"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath=".\src\orxonox\GraphicsEngine.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\InputManager.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\Main.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\Orxonox.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\SpaceshipSteering.cc"
-				>
-			</File>
-			<Filter
-				Name="hud"
-				>
-				<File
-					RelativePath=".\src\orxonox\hud\HUD.cc"
-					>
-				</File>
-			</Filter>
-			<Filter
-				Name="objects"
-				>
-				<File
-					RelativePath=".\src\orxonox\objects\Ambient.cc"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\BaseObject.cc"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\BillboardSet.cc"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Camera.cc"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Explosion.cc"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Fighter.cc"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Mesh.cc"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Model.cc"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\NPC.cc"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Projectile.cc"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Skybox.cc"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\SpaceShip.cc"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\WorldEntity.cc"
-					>
-				</File>
-				<Filter
-					Name="weapon_system"
-					>
-					<File
-						RelativePath=".\src\orxonox\objects\weapon_system\AmmunitionDump.cc"
-						>
-					</File>
-					<File
-						RelativePath=".\src\orxonox\objects\weapon_system\BarrelGun.cc"
-						>
-					</File>
-					<File
-						RelativePath=".\src\orxonox\objects\weapon_system\BaseWeapon.cc"
-						>
-					</File>
-					<File
-						RelativePath=".\src\orxonox\objects\weapon_system\Bullet.cc"
-						>
-					</File>
-					<File
-						RelativePath=".\src\orxonox\objects\weapon_system\BulletManager.cc"
-						>
-					</File>
-					<File
-						RelativePath=".\src\orxonox\objects\weapon_system\WeaponStation.cc"
-						>
-					</File>
-				</Filter>
-			</Filter>
-			<Filter
-				Name="particle"
-				>
-				<File
-					RelativePath=".\src\orxonox\particle\ParticleInterface.cc"
-					>
-				</File>
-			</Filter>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath=".\src\orxonox\AIClass.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\Arrival.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\Flocking.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\GraphicsEngine.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\InputManager.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\Orxonox.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\OrxonoxPrereqs.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\SpaceshipSteering.h"
-				>
-			</File>
-			<Filter
-				Name="hud"
-				>
-				<File
-					RelativePath=".\src\orxonox\hud\HUD.h"
-					>
-				</File>
-			</Filter>
-			<Filter
-				Name="objects"
-				>
-				<File
-					RelativePath=".\src\orxonox\objects\Ambient.h"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\BaseObject.h"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\BillboardSet.h"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Camera.h"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Explosion.h"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Fighter.h"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Mesh.h"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Model.h"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\NPC.h"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Projectile.h"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Skybox.h"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\SpaceShip.h"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Tickable.h"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\Timer.h"
-					>
-				</File>
-				<File
-					RelativePath=".\src\orxonox\objects\WorldEntity.h"
-					>
-				</File>
-				<Filter
-					Name="weapon_system"
-					>
-					<File
-						RelativePath=".\src\orxonox\objects\weapon_system\AmmunitionDump.h"
-						>
-					</File>
-					<File
-						RelativePath=".\src\orxonox\objects\weapon_system\BarrelGun.h"
-						>
-					</File>
-					<File
-						RelativePath=".\src\orxonox\objects\weapon_system\BaseWeapon.h"
-						>
-					</File>
-					<File
-						RelativePath=".\src\orxonox\objects\weapon_system\Bullet.h"
-						>
-					</File>
-					<File
-						RelativePath=".\src\orxonox\objects\weapon_system\BulletManager.h"
-						>
-					</File>
-					<File
-						RelativePath=".\src\orxonox\objects\weapon_system\WeaponStation.h"
-						>
-					</File>
-				</Filter>
-			</Filter>
-			<Filter
-				Name="particle"
-				>
-				<File
-					RelativePath=".\src\orxonox\particle\ParticleInterface.h"
-					>
-				</File>
-			</Filter>
-		</Filter>
-		<Filter
-			Name="Resource Files"
-			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
-			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
-			>
-			<File
-				RelativePath=".\bin\levels\sample.oxw"
-				>
-			</File>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: de/branches/FICN/core.vcproj
===================================================================
--- /code/branches/FICN/core.vcproj	(revision 677)
+++ 	(revision )
@@ -1,270 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="core"
-	ProjectGUID="{271715F3-5B90-4110-A552-70C788084A86}"
-	RootNamespace="FICN"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			OutputDirectory="$(SolutionDir)\bin"
-			IntermediateDirectory="obj\$(ProjectName)\$(ConfigurationName)"
-			ConfigurationType="4"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="0"
-				AdditionalIncludeDirectories="src"
-				PreprocessorDefinitions="__WIN32__;WIN32;_DEBUG;_WINDOWS;BOOST_ALL_DYN_LINK"
-				GeneratePreprocessedFile="0"
-				MinimalRebuild="true"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="3"
-				UsePrecompiledHeader="0"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="4"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-				OutputFile="$(OutDir)\$(ProjectName)_d.lib"
-				IgnoreAllDefaultLibraries="true"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			OutputDirectory="$(SolutionDir)\bin"
-			IntermediateDirectory="obj\$(ProjectName)\$(ConfigurationName)"
-			ConfigurationType="4"
-			CharacterSet="1"
-			WholeProgramOptimization="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories="src;$(OGRE_HOME)\OgreMain\include;$(OGRE_HOME)\Dependencies\include; $(ENET_HOME)\include;$(BOOST_HOME)"
-				PreprocessorDefinitions="__WIN32__;WIN32;NDEBUG;_WINDOWS;BOOST_ALL_DYN_LINK"
-				RuntimeLibrary="2"
-				UsePrecompiledHeader="0"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="3"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath=".\src\orxonox\core\ArgReader.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\ConfigValueContainer.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\DebugLevel.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\Error.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\Factory.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\Identifier.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\IdentifierList.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\MetaObjectList.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\OrxonoxClass.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\SignalHandler.cc"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath=".\src\orxonox\core\ArgReader.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\ClassFactory.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\ConfigValueContainer.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\CoreIncludes.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\Debug.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\DebugLevel.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\Error.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\Factory.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\Identifier.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\IdentifierList.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\Iterator.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\MetaObjectList.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\ObjectList.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\OrxonoxClass.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\orxonox\core\SignalHandler.h"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Resource Files"
-			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
-			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
-			>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: de/branches/FICN/loader.vcproj
===================================================================
--- /code/branches/FICN/loader.vcproj	(revision 677)
+++ 	(revision )
@@ -1,182 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="loader"
-	ProjectGUID="{E283910F-F911-40FB-A09D-D025CA821912}"
-	RootNamespace="FICN"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			OutputDirectory="$(SolutionDir)\bin"
-			IntermediateDirectory="obj\$(ProjectName)\$(ConfigurationName)"
-			ConfigurationType="4"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="0"
-				AdditionalIncludeDirectories="src;$(OGRE_HOME)\OgreMain\include;$(OGRE_HOME)\Dependencies\include; $(ENET_HOME)\include;$(BOOST_HOME)"
-				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;BOOST_ALL_DYN_LINK;LOADER_STATIC"
-				MinimalRebuild="true"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="3"
-				UsePrecompiledHeader="0"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="4"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-				AdditionalDependencies="OgreMain_d.lib"
-				OutputFile="$(OutDir)\$(ProjectName)_d.lib"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			OutputDirectory="$(SolutionDir)\bin"
-			IntermediateDirectory="obj\$(ProjectName)\$(ConfigurationName)"
-			ConfigurationType="4"
-			CharacterSet="1"
-			WholeProgramOptimization="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories="src;$(OGRE_HOME)\OgreMain\include;$(OGRE_HOME)\Dependencies\include; $(ENET_HOME)\include;$(BOOST_HOME)"
-				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;BOOST_ALL_DYN_LINK;LOADER_STATIC"
-				RuntimeLibrary="2"
-				UsePrecompiledHeader="0"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="3"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-				AdditionalDependencies="OgreMain.lib"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath=".\src\loader\LevelLoader.cc"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath=".\src\loader\LevelLoader.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\loader\loader_platform.h"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Resource Files"
-			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
-			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
-			>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: de/branches/FICN/network.vcproj
===================================================================
--- /code/branches/FICN/network.vcproj	(revision 677)
+++ 	(revision )
@@ -1,268 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="network"
-	ProjectGUID="{35575B59-E1AE-40E8-89C4-2862B5B09B68}"
-	RootNamespace="FICN"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			OutputDirectory="$(SolutionDir)\bin"
-			IntermediateDirectory="obj\$(ProjectName)\$(ConfigurationName)"
-			ConfigurationType="4"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="0"
-				AdditionalIncludeDirectories="src;$(OGRE_HOME)\OgreMain\include;$(OGRE_HOME)\Dependencies\include; $(ENET_HOME)\include;$(BOOST_HOME)"
-				PreprocessorDefinitions="WIN32_LEAN_AND_MEAN;WIN32;_DEBUG;_WINDOWS;BOOST_ALL_DYN_LINK"
-				MinimalRebuild="true"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="3"
-				UsePrecompiledHeader="0"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="4"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-				AdditionalDependencies="enet_d.lib zlib.lib"
-				OutputFile="$(OutDir)\$(ProjectName)_d.lib"
-				AdditionalLibraryDirectories=""
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			OutputDirectory="$(SolutionDir)\bin"
-			IntermediateDirectory="obj\$(ProjectName)\$(ConfigurationName)"
-			ConfigurationType="4"
-			CharacterSet="1"
-			WholeProgramOptimization="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories="src;$(OGRE_HOME)\OgreMain\include;$(OGRE_HOME)\Dependencies\include; $(ENET_HOME)\include;$(BOOST_HOME)"
-				PreprocessorDefinitions="WIN32_LEAN_AND_MEAN;WIN32;NDEBUG;_WINDOWS;BOOST_ALL_DYN_LINK"
-				RuntimeLibrary="2"
-				UsePrecompiledHeader="0"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="3"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-				AdditionalDependencies="enet.lib zlib.lib"
-				AdditionalLibraryDirectories=""
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath=".\src\network\Client.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\ClientConnection.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\ClientInformation.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\ConnectionManager.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\dummyserver3.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\GameStateClient.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\GameStateManager.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\PacketBuffer.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\PacketDecoder.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\PacketGenerator.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\Server.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\Synchronisable.cc"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath=".\src\network\Client.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\ClientConnection.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\ClientInformation.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\ConnectionManager.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\GameStateClient.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\GameStateManager.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\NetworkFrameListener.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\PacketBuffer.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\PacketManager.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\PacketTypes.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\Server.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\network\Synchronisable.h"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Resource Files"
-			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
-			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
-			>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: /code/branches/FICN/src/loader/LevelLoader.h
===================================================================
--- /code/branches/FICN/src/loader/LevelLoader.h	(revision 677)
+++ /code/branches/FICN/src/loader/LevelLoader.h	(revision 678)
@@ -13,5 +13,5 @@
 #include <iostream>
 
-#include "loader_platform.h"
+#include "LoaderPlatform.h"
 #include "tinyxml/tinyxml.h"
 
Index: de/branches/FICN/src/loader/loader_platform.h
===================================================================
--- /code/branches/FICN/src/loader/loader_platform.h	(revision 677)
+++ 	(revision )
@@ -1,46 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-
-#ifndef _LoaderPlatform_H__
-#define _LoaderPlatform_H__
-
-
-#if defined( __WIN32__ ) || defined( _WIN32 )
-  #ifdef LOADER_BUILD
-    #define _LoaderExport __declspec( dllexport )
-  #elif defined(LOADER_STATIC)
-    #define _LoaderExport
-  #else
-    #define _LoaderExport __declspec( dllimport )
-  #endif
-#else
-  #define _LoaderExport
-#endif
-
-
-#endif /* _LoaderPlatform_H__ */
Index: de/branches/FICN/tiny_xml.vcproj
===================================================================
--- /code/branches/FICN/tiny_xml.vcproj	(revision 677)
+++ 	(revision )
@@ -1,192 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="TinyXML"
-	ProjectGUID="{2240ECD7-2F48-4431-8E1B-25466A384CCC}"
-	RootNamespace="FICN"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			OutputDirectory="$(SolutionDir)\bin"
-			IntermediateDirectory="obj\$(ProjectName)\$(ConfigurationName)"
-			ConfigurationType="4"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="0"
-				AdditionalIncludeDirectories="src;$(OGRE_HOME)\OgreMain\include;$(OGRE_HOME)\Dependencies\include; $(ENET_HOME)\include;$(BOOST_HOME)"
-				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS"
-				MinimalRebuild="true"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="3"
-				UsePrecompiledHeader="0"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="4"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-				OutputFile="$(OutDir)\$(ProjectName)_d.lib"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			OutputDirectory="$(SolutionDir)\bin"
-			IntermediateDirectory="obj\$(ProjectName)\$(ConfigurationName)"
-			ConfigurationType="4"
-			CharacterSet="1"
-			WholeProgramOptimization="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories="src;$(OGRE_HOME)\OgreMain\include;$(OGRE_HOME)\Dependencies\include; $(ENET_HOME)\include;$(BOOST_HOME)"
-				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS"
-				RuntimeLibrary="2"
-				UsePrecompiledHeader="0"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="true"
-				DebugInformationFormat="3"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath=".\src\tinyxml\tinystr.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\tinyxml\tinyxml.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\tinyxml\tinyxmlerror.cc"
-				>
-			</File>
-			<File
-				RelativePath=".\src\tinyxml\tinyxmlparser.cc"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath=".\src\tinyxml\tinystr.h"
-				>
-			</File>
-			<File
-				RelativePath=".\src\tinyxml\tinyxml.h"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Resource Files"
-			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
-			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
-			>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: /code/branches/FICN/visual_studio/FICN.sln
===================================================================
--- /code/branches/FICN/visual_studio/FICN.sln	(revision 678)
+++ /code/branches/FICN/visual_studio/FICN.sln	(revision 678)
@@ -0,0 +1,81 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 9.00
+# Visual Studio 2005
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Network", "network.vcproj", "{35575B59-E1AE-40E8-89C4-2862B5B09B68}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Core", "core.vcproj", "{271715F3-5B90-4110-A552-70C788084A86}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Orxonox", "benixonox.vcproj", "{0B6C5CFD-F91B-432A-80A3-2610F61E060B}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+	ProjectSection(ProjectDependencies) = postProject
+		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
+		{E283910F-F911-40FB-A09D-D025CA821912} = {E283910F-F911-40FB-A09D-D025CA821912}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Audio", "audio.vcproj", "{4733BD1A-E04C-458D-8BFB-5010250EA497}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Loader", "loader.vcproj", "{E283910F-F911-40FB-A09D-D025CA821912}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "TinyXML", "tinyxml.vcproj", "{2240ECD7-2F48-4431-8E1B-25466A384CCC}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Win32 = Debug|Win32
+		Release|Win32 = Release|Win32
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Debug|Win32.ActiveCfg = Debug|Win32
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Debug|Win32.Build.0 = Debug|Win32
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.ActiveCfg = Release|Win32
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.Build.0 = Release|Win32
+		{271715F3-5B90-4110-A552-70C788084A86}.Debug|Win32.ActiveCfg = Debug|Win32
+		{271715F3-5B90-4110-A552-70C788084A86}.Debug|Win32.Build.0 = Debug|Win32
+		{271715F3-5B90-4110-A552-70C788084A86}.Release|Win32.ActiveCfg = Release|Win32
+		{271715F3-5B90-4110-A552-70C788084A86}.Release|Win32.Build.0 = Release|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.ActiveCfg = Debug|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.Build.0 = Debug|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.ActiveCfg = Release|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.Build.0 = Release|Win32
+		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Debug|Win32.ActiveCfg = Debug|Win32
+		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Debug|Win32.Build.0 = Debug|Win32
+		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release|Win32.ActiveCfg = Release|Win32
+		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release|Win32.Build.0 = Release|Win32
+		{E283910F-F911-40FB-A09D-D025CA821912}.Debug|Win32.ActiveCfg = Debug|Win32
+		{E283910F-F911-40FB-A09D-D025CA821912}.Debug|Win32.Build.0 = Debug|Win32
+		{E283910F-F911-40FB-A09D-D025CA821912}.Release|Win32.ActiveCfg = Release|Win32
+		{E283910F-F911-40FB-A09D-D025CA821912}.Release|Win32.Build.0 = Release|Win32
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Debug|Win32.ActiveCfg = Debug|Win32
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Debug|Win32.Build.0 = Debug|Win32
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.ActiveCfg = Release|Win32
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.Build.0 = Release|Win32
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+EndGlobal
Index: /code/branches/FICN/visual_studio/audio.vcproj
===================================================================
--- /code/branches/FICN/visual_studio/audio.vcproj	(revision 678)
+++ /code/branches/FICN/visual_studio/audio.vcproj	(revision 678)
@@ -0,0 +1,188 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="Audio"
+	ProjectGUID="{4733BD1A-E04C-458D-8BFB-5010250EA497}"
+	RootNamespace="FICN"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\base_properties_debug.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=""
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+				AdditionalLibraryDirectories=""
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\base_properties_release.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=""
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+				AdditionalLibraryDirectories=""
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\src\audio\AudioBuffer.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\audio\AudioManager.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\audio\AudioSource.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\audio\AudioStream.cc"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\src\audio\AudioBuffer.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\audio\AudioIncludes.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\audio\AudioManager.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\audio\AudioSource.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\audio\AudioStream.h"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
+			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
+			>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: /code/branches/FICN/visual_studio/audio_properties.vsprops
===================================================================
--- /code/branches/FICN/visual_studio/audio_properties.vsprops	(revision 678)
+++ /code/branches/FICN/visual_studio/audio_properties.vsprops	(revision 678)
@@ -0,0 +1,7 @@
+<?xml version="1.0"?>
+<VisualStudioPropertySheet 
+	ProjectType="Visual C++" 
+	Version="8.00" 
+	Name="audio_properties"
+	>
+</VisualStudioPropertySheet>
Index: /code/branches/FICN/visual_studio/base_properties.vsprops
===================================================================
--- /code/branches/FICN/visual_studio/base_properties.vsprops	(revision 678)
+++ /code/branches/FICN/visual_studio/base_properties.vsprops	(revision 678)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="base_properties"
+	OutputDirectory="$(SolutionDir)\..\bin"
+	IntermediateDirectory="$(SolutionDir)\obj\$(ProjectName)\$(ConfigurationName)"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalIncludeDirectories="&quot;$(SolutionDir)\..\src&quot;;&quot;$(OGRE_HOME)\Dependencies\include&quot;;&quot;$(OGRE_HOME)\OgreMain\include&quot;;&quot;$(ORXONOX_HOME)\dependencies\include&quot;"
+		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;BOOST_ALL_DYN_LINK"
+		WarningLevel="3"
+		Detect64BitPortabilityProblems="true"
+		DebugInformationFormat="3"
+	/>
+	<Tool
+		Name="VCLibrarianTool"
+		AdditionalLibraryDirectories="&quot;$(OGRE_HOME)\lib&quot;;&quot;$(OGRE_HOME)\dependencies\lib\$(ConfigurationName)&quot;;&quot;$(ORXONOX_HOME)\dependencies\lib&quot;"
+		IgnoreAllDefaultLibraries="true"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalLibraryDirectories="&quot;$(OGRE_HOME)\lib&quot;;&quot;$(OGRE_HOME)\dependencies\lib\$(ConfigurationName)&quot;;&quot;$(ORXONOX_HOME)\dependencies\lib&quot;"
+		SubSystem="2"
+		TargetMachine="1"
+	/>
+</VisualStudioPropertySheet>
Index: /code/branches/FICN/visual_studio/base_properties_debug.vsprops
===================================================================
--- /code/branches/FICN/visual_studio/base_properties_debug.vsprops	(revision 678)
+++ /code/branches/FICN/visual_studio/base_properties_debug.vsprops	(revision 678)
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="base_properties_debug"
+	InheritedPropertySheets=".\base_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		Optimization="0"
+		PreprocessorDefinitions="_DEBUG"
+		MinimalRebuild="true"
+		BasicRuntimeChecks="3"
+		RuntimeLibrary="3"
+		DebugInformationFormat="4"
+	/>
+	<Tool
+		Name="VCLibrarianTool"
+		OutputFile="$(OutDir)\$(ProjectName)_d.lib"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		OutputFile="$(OutDir)\$(ProjectName)_d.exe"
+		LinkIncremental="2"
+		GenerateDebugInformation="true"
+	/>
+</VisualStudioPropertySheet>
Index: /code/branches/FICN/visual_studio/base_properties_release.vsprops
===================================================================
--- /code/branches/FICN/visual_studio/base_properties_release.vsprops	(revision 678)
+++ /code/branches/FICN/visual_studio/base_properties_release.vsprops	(revision 678)
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="base_properties_release"
+	InheritedPropertySheets=".\base_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		Optimization="2"
+		WholeProgramOptimization="true"
+		PreprocessorDefinitions="NDEBUG"
+		RuntimeLibrary="2"
+		DebugInformationFormat="0"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		LinkIncremental="1"
+		OptimizeReferences="2"
+		EnableCOMDATFolding="2"
+	/>
+</VisualStudioPropertySheet>
Index: /code/branches/FICN/visual_studio/benixonox.vcproj
===================================================================
--- /code/branches/FICN/visual_studio/benixonox.vcproj	(revision 678)
+++ /code/branches/FICN/visual_studio/benixonox.vcproj	(revision 678)
@@ -0,0 +1,481 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="Orxonox"
+	ProjectGUID="{0B6C5CFD-F91B-432A-80A3-2610F61E060B}"
+	RootNamespace="FICN"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="1"
+			InheritedPropertySheets=".\base_properties_debug.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=""
+				PreprocessorDefinitions="LOADER_STATIC"
+				PrecompiledHeaderThrough=""
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="OgreMain_d.lib OIS_d.lib libogg_d.lib libvorbis_d.lib libvorbisfile_d.lib alut_d.lib zlibd.lib enet_d.lib EFX-Util.lib OpenAL32.lib"
+				AdditionalLibraryDirectories=""
+				IgnoreDefaultLibraryNames="/NODEFAULTLIB:MSVCRT"
+				EntryPointSymbol=""
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="1"
+			InheritedPropertySheets=".\base_properties_release.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=""
+				PreprocessorDefinitions="LOADER_STATIC"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="OgreMain.lib OIS.lib libogg.lib libvorbis.lib libvorbisfile.lib alut.lib zlib.lib enet.lib EFX-Util.lib OpenAL32.lib"
+				AdditionalLibraryDirectories=""
+				IgnoreDefaultLibraryNames="/NODEFAULTLIB:MSVCRT"
+				EntryPointSymbol=""
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\src\orxonox\GraphicsEngine.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\InputManager.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\Main.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\Orxonox.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\SpaceshipSteering.cc"
+				>
+			</File>
+			<Filter
+				Name="hud"
+				>
+				<File
+					RelativePath="..\src\orxonox\hud\HUD.cc"
+					>
+					<FileConfiguration
+						Name="Debug|Win32"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							ObjectFile="$(IntDir)\$(InputName)1.obj"
+							XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
+						/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							ObjectFile="$(IntDir)\$(InputName)1.obj"
+							XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
+						/>
+					</FileConfiguration>
+				</File>
+			</Filter>
+			<Filter
+				Name="objects"
+				>
+				<File
+					RelativePath="..\src\orxonox\objects\Ambient.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\BaseObject.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\BillboardSet.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Camera.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Explosion.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Fighter.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Light.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Mesh.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Model.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\NPC.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Projectile.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Skybox.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\SpaceShip.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\WorldEntity.cc"
+					>
+				</File>
+				<Filter
+					Name="weapon_system"
+					>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon_system\AmmunitionDump.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon_system\BarrelGun.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon_system\BaseWeapon.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon_system\Bullet.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon_system\BulletManager.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon_system\WeaponStation.cc"
+						>
+					</File>
+				</Filter>
+			</Filter>
+			<Filter
+				Name="particle"
+				>
+				<File
+					RelativePath="..\src\orxonox\particle\ParticleInterface.cc"
+					>
+				</File>
+			</Filter>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\src\orxonox\AIClass.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\Arrival.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\Flocking.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\GraphicsEngine.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\InputManager.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\Orxonox.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\OrxonoxPrereqs.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\SpaceshipSteering.h"
+				>
+			</File>
+			<Filter
+				Name="hud"
+				>
+				<File
+					RelativePath="..\src\orxonox\hud\HUD.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="objects"
+				>
+				<File
+					RelativePath="..\src\orxonox\objects\Ambient.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\BaseObject.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\BillboardSet.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Camera.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Explosion.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Fighter.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Light.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Mesh.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Model.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\NPC.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Projectile.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Skybox.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\SpaceShip.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Tickable.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\Timer.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\objects\WorldEntity.h"
+					>
+				</File>
+				<Filter
+					Name="weapon_system"
+					>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon_system\AmmunitionDump.h"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon_system\BarrelGun.h"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon_system\BaseWeapon.h"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon_system\Bullet.h"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon_system\BulletManager.h"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon_system\WeaponStation.h"
+						>
+					</File>
+				</Filter>
+			</Filter>
+			<Filter
+				Name="particle"
+				>
+				<File
+					RelativePath="..\src\orxonox\particle\ParticleInterface.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="misc"
+				>
+				<File
+					RelativePath="..\src\misc\String2Number.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\misc\Tokenizer.h"
+					>
+				</File>
+			</Filter>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
+			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
+			>
+			<File
+				RelativePath=".\bin\levels\sample.oxw"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: /code/branches/FICN/visual_studio/core.vcproj
===================================================================
--- /code/branches/FICN/visual_studio/core.vcproj	(revision 678)
+++ /code/branches/FICN/visual_studio/core.vcproj	(revision 678)
@@ -0,0 +1,250 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="Core"
+	ProjectGUID="{271715F3-5B90-4110-A552-70C788084A86}"
+	RootNamespace="FICN"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\base_properties_debug.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=""
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\base_properties_release.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=""
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\src\orxonox\core\ArgReader.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\ConfigValueContainer.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\DebugLevel.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\Error.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\Factory.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\Identifier.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\IdentifierList.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\MetaObjectList.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\OrxonoxClass.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\SignalHandler.cc"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\src\orxonox\core\ArgReader.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\ClassFactory.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\ConfigValueContainer.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\CoreIncludes.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\Debug.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\DebugLevel.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\Error.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\Factory.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\Identifier.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\IdentifierList.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\Iterator.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\MetaObjectList.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\ObjectList.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\OrxonoxClass.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\orxonox\core\SignalHandler.h"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
+			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
+			>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: /code/branches/FICN/visual_studio/core.vcproj.RGRIEDERT60.rgrieder.user
===================================================================
--- /code/branches/FICN/visual_studio/core.vcproj.RGRIEDERT60.rgrieder.user	(revision 678)
+++ /code/branches/FICN/visual_studio/core.vcproj.RGRIEDERT60.rgrieder.user	(revision 678)
@@ -0,0 +1,65 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioUserFile
+	ProjectType="Visual C++"
+	Version="8.00"
+	ShowAllFiles="false"
+	>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			>
+			<DebugSettings
+				Command=""
+				WorkingDirectory=""
+				CommandArguments=""
+				Attach="false"
+				DebuggerType="3"
+				Remote="1"
+				RemoteMachine="RGRIEDERT60"
+				RemoteCommand=""
+				HttpUrl=""
+				PDBPath=""
+				SQLDebugging=""
+				Environment=""
+				EnvironmentMerge="true"
+				DebuggerFlavor=""
+				MPIRunCommand=""
+				MPIRunArguments=""
+				MPIRunWorkingDirectory=""
+				ApplicationCommand=""
+				ApplicationArguments=""
+				ShimCommand=""
+				MPIAcceptMode=""
+				MPIAcceptFilter=""
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			>
+			<DebugSettings
+				Command=""
+				WorkingDirectory=""
+				CommandArguments=""
+				Attach="false"
+				DebuggerType="3"
+				Remote="1"
+				RemoteMachine="RGRIEDERT60"
+				RemoteCommand=""
+				HttpUrl=""
+				PDBPath=""
+				SQLDebugging=""
+				Environment=""
+				EnvironmentMerge="true"
+				DebuggerFlavor=""
+				MPIRunCommand=""
+				MPIRunArguments=""
+				MPIRunWorkingDirectory=""
+				ApplicationCommand=""
+				ApplicationArguments=""
+				ShimCommand=""
+				MPIAcceptMode=""
+				MPIAcceptFilter=""
+			/>
+		</Configuration>
+	</Configurations>
+</VisualStudioUserFile>
Index: /code/branches/FICN/visual_studio/core_properties.vsprops
===================================================================
--- /code/branches/FICN/visual_studio/core_properties.vsprops	(revision 678)
+++ /code/branches/FICN/visual_studio/core_properties.vsprops	(revision 678)
@@ -0,0 +1,7 @@
+<?xml version="1.0"?>
+<VisualStudioPropertySheet 
+	ProjectType="Visual C++" 
+	Version="8.00" 
+	Name="core_properties"
+	>
+</VisualStudioPropertySheet>
Index: /code/branches/FICN/visual_studio/loader.vcproj
===================================================================
--- /code/branches/FICN/visual_studio/loader.vcproj	(revision 678)
+++ /code/branches/FICN/visual_studio/loader.vcproj	(revision 678)
@@ -0,0 +1,164 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="Loader"
+	ProjectGUID="{E283910F-F911-40FB-A09D-D025CA821912}"
+	RootNamespace="FICN"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\base_properties_debug.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=""
+				PreprocessorDefinitions="LOADER_STATIC"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\base_properties_release.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=""
+				PreprocessorDefinitions="LOADER_STATIC"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\src\loader\LevelLoader.cc"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\src\loader\LevelLoader.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\loader\LoaderPlatform.h"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
+			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
+			>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: /code/branches/FICN/visual_studio/loader_properties.vsprops
===================================================================
--- /code/branches/FICN/visual_studio/loader_properties.vsprops	(revision 678)
+++ /code/branches/FICN/visual_studio/loader_properties.vsprops	(revision 678)
@@ -0,0 +1,7 @@
+<?xml version="1.0"?>
+<VisualStudioPropertySheet 
+	ProjectType="Visual C++" 
+	Version="8.00" 
+	Name="loader_properties"
+	>
+</VisualStudioPropertySheet>
Index: /code/branches/FICN/visual_studio/network.vcproj
===================================================================
--- /code/branches/FICN/visual_studio/network.vcproj	(revision 678)
+++ /code/branches/FICN/visual_studio/network.vcproj	(revision 678)
@@ -0,0 +1,246 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="Network"
+	ProjectGUID="{35575B59-E1AE-40E8-89C4-2862B5B09B68}"
+	RootNamespace="FICN"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\base_properties_debug.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=""
+				PreprocessorDefinitions="WIN32_LEAN_AND_MEAN"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+				AdditionalLibraryDirectories=""
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\base_properties_release.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=""
+				PreprocessorDefinitions="WIN32_LEAN_AND_MEAN"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+				AdditionalLibraryDirectories=""
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\src\network\Client.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\ClientConnection.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\ClientInformation.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\ConnectionManager.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\GameStateClient.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\GameStateManager.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\PacketBuffer.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\PacketDecoder.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\PacketGenerator.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\Server.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\Synchronisable.cc"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\src\network\Client.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\ClientConnection.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\ClientInformation.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\ConnectionManager.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\GameStateClient.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\GameStateManager.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\NetworkFrameListener.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\PacketBuffer.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\PacketManager.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\PacketTypes.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\Server.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\network\Synchronisable.h"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
+			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
+			>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: /code/branches/FICN/visual_studio/network_properties.vsprops
===================================================================
--- /code/branches/FICN/visual_studio/network_properties.vsprops	(revision 678)
+++ /code/branches/FICN/visual_studio/network_properties.vsprops	(revision 678)
@@ -0,0 +1,7 @@
+<?xml version="1.0"?>
+<VisualStudioPropertySheet 
+	ProjectType="Visual C++" 
+	Version="8.00" 
+	Name="network_properties"
+	>
+</VisualStudioPropertySheet>
Index: /code/branches/FICN/visual_studio/orxonox_properties.vsprops
===================================================================
--- /code/branches/FICN/visual_studio/orxonox_properties.vsprops	(revision 678)
+++ /code/branches/FICN/visual_studio/orxonox_properties.vsprops	(revision 678)
@@ -0,0 +1,7 @@
+<?xml version="1.0"?>
+<VisualStudioPropertySheet 
+	ProjectType="Visual C++" 
+	Version="8.00" 
+	Name="orxonox_properties"
+	>
+</VisualStudioPropertySheet>
Index: /code/branches/FICN/visual_studio/tinyxml.vcproj
===================================================================
--- /code/branches/FICN/visual_studio/tinyxml.vcproj	(revision 678)
+++ /code/branches/FICN/visual_studio/tinyxml.vcproj	(revision 678)
@@ -0,0 +1,174 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="TinyXML"
+	ProjectGUID="{2240ECD7-2F48-4431-8E1B-25466A384CCC}"
+	RootNamespace="FICN"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\base_properties_debug.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=""
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\base_properties_release.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=""
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\src\tinyxml\tinystr.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\tinyxml\tinyxml.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\tinyxml\tinyxmlerror.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\src\tinyxml\tinyxmlparser.cc"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\src\tinyxml\tinystr.h"
+				>
+			</File>
+			<File
+				RelativePath="..\src\tinyxml\tinyxml.h"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
+			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
+			>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: /code/branches/FICN/visual_studio/tinyxml_properties.vsprops
===================================================================
--- /code/branches/FICN/visual_studio/tinyxml_properties.vsprops	(revision 678)
+++ /code/branches/FICN/visual_studio/tinyxml_properties.vsprops	(revision 678)
@@ -0,0 +1,7 @@
+<?xml version="1.0"?>
+<VisualStudioPropertySheet 
+	ProjectType="Visual C++" 
+	Version="8.00" 
+	Name="tinyxml_properties"
+	>
+</VisualStudioPropertySheet>
